Support » How-To and Troubleshooting » error activating plugin

error activating plugin

  • I have upgraded to WP2.01 and when i try to activate or deactivate plugin, I get this:

    Fatal error: Call to undefined function: check_admin_referer() in C:\Inetpub\wwwroot\mt\vowelsystem\wp-admin\plugins.php on line 5

    Can someone tell me how to fix it? Thanks.

Viewing 15 replies - 1 through 15 (of 25 total)
  • Um. Are you running this on your own machine? Otherwise, why do you have a hard drive addy (C:) in there?

    No, my blog is on weblogs.us.

    Oh yeah. You’re the guy who’s redirecting, right? That’s as I believe was said previously, A MAJOR PITA. WP isn’t happy with redirects.

    Maybe podz or whooami will have some idea later. I have never had any luck with redirects, so anything I offer will be specious at best. Sorry.


    From the uni addy to the other one? Wasn’t that you? If not sorry – been a long week….

    Vkaryl by chance would you help a very frustrated person who just upgraded to 2.0.1 and now is having everything freak out? Please? 🙂

    I haven’t got any redirect as far as i know, i’ve always entered the vowelsystem.weblogs.us as my address.

    Well, I will if I can superjux. What problem are you having? Have you already posted about it? If so, if you just post back with the thread addy, I’ll have a read and see – I haven’t upgraded to 2.0.1 myself, and I may not since the stuff they “fixed” isn’t anything I need, want, or use…. but some of the problematics are similar to stuff that happened with 2.0….

    gaebe – must have been someone else, sorry. So is “vowelsystem.weblogs.us” your host then?

    it’s my blog address.

    Okay, I’m confused – isn’t that a hosted setup? If you’ve got a hosted blog, how are you upgrading?

    Awesome, thank you!

    1. I recieved this error when trying to access Options–Sparm Karma 2. I activated SK 2.1, the most recent plugin.

    Cannot load spamkarma2.

    2. when I go to manage–backup, I get this error:

    Fatal error: Cannot redeclare class wpdbbackup in /home/superjux/public_html/wordpress/wp-content/plugins/wp-db-backup.php on line 23

    3. when i activate Akismet and try to enter my API key, I get this:

    Fatal error: Cannot redeclare ksd_config_page() (previously declared in /home/superjux/public_html/wordpress/wp-content/plugins/akismet/akismet.php:14) in /home/superjux/public_html/wordpress/wp-content/plugins/akismet/akismet.php on line 13

    Any help is much appreciated!

    Also, these problems only started when I upgraded from 2.0. The 1.5 to 2.0 upgrade was realively painless.


    I upgraded with ftp.

    I hate to tell you this…. I don’t use ANY of those plugins, so I have practically no idea what to tell you.

    For the backup thing, just make sure if you insist on using it that your wp-content folder is set permitted to 777. You don’t need the plugin really, all you need to do is use phpmyadmin through your host control panel to get db backups.

    Only thing I can think is that there are conflicts between all of them. You can try deactivating them all, then activate sk first, then akismet, then check the permissions on wp-content, make sure they’re 777, then activate it. If you still get errors, repeat above procedure in different combinations until you’ve tried them all.

    And you probably want to deactivate ALL your other plugins before you start on this….

    I really do apologize; this is one of the areas I’m not ever going to be much use on I’m afraid.

    Tell you what, give the deactivate etc. a try, and report back, but start a new thread, okay? And it’s pretty late for me already, so if I don’t catch up to you before morning I’m not ignoring you – I WILL check up tomorrow!

    Thanks, will do!

Viewing 15 replies - 1 through 15 (of 25 total)
  • The topic ‘error activating plugin’ is closed to new replies.